curl -X POST 'https://foodsoul.ru/api/crm/v2/sites_seo_global_settings.update?branch_id=8290' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: pl' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"breadcrumbs_showed":true,"breadcrumbs_include_on_main_page_enabled":true,"breadcrumbs_show_on_main_page_enabled":true,"item_template_seo_title":"[product_name] - [category_name] - [branch_name] - item title","item_template_seo_description":"[product_name] - [category_name] - [branch_name] - item description","item_template_seo_h1":"[product_name] - [category_name] - [branch_name] - item H1","category_template_seo_title":"[category_name] - [branch_name] - [city_name] - category title","category_template_seo_description":"[category_name] - [branch_name] - [city_name] - category description","category_template_seo_h1":"[category_name] - [branch_name] - [city_name] - category H1"}'
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://foodsoul.ru/api/crm/v2/sites_seo_global_settings.update?branch_id=8290', [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN',
'language' => 'pl',
'role' => 'partner',
],
'json' => [
'breadcrumbs_showed' => true,
'breadcrumbs_include_on_main_page_enabled' => true,
'breadcrumbs_show_on_main_page_enabled' => true,
'item_template_seo_title' => '[product_name] - [category_name] - [branch_name] - item title',
'item_template_seo_description' => '[product_name] - [category_name] - [branch_name] - item description',
'item_template_seo_h1' => '[product_name] - [category_name] - [branch_name] - item H1',
'category_template_seo_title' => '[category_name] - [branch_name] - [city_name] - category title',
'category_template_seo_description' => '[category_name] - [branch_name] - [city_name] - category description',
'category_template_seo_h1' => '[category_name] - [branch_name] - [city_name] - category H1',
],
]);
$data = json_decode((string) $response->getBody(), true);
const response = await fetch("https://foodsoul.ru/api/crm/v2/sites_seo_global_settings.update?branch_id=8290", {
method: "POST",
headers: {
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "pl",
"role": "partner",
"Content-Type": "application/json"
},
body: JSON.stringify({
"breadcrumbs_showed": true,
"breadcrumbs_include_on_main_page_enabled": true,
"breadcrumbs_show_on_main_page_enabled": true,
"item_template_seo_title": "[product_name] - [category_name] - [branch_name] - item title",
"item_template_seo_description": "[product_name] - [category_name] - [branch_name] - item description",
"item_template_seo_h1": "[product_name] - [category_name] - [branch_name] - item H1",
"category_template_seo_title": "[category_name] - [branch_name] - [city_name] - category title",
"category_template_seo_description": "[category_name] - [branch_name] - [city_name] - category description",
"category_template_seo_h1": "[category_name] - [branch_name] - [city_name] - category H1"
}),
})
const data = await response.json()
import requests
response = requests.request(
"POST",
"https://foodsoul.ru/api/crm/v2/sites_seo_global_settings.update?branch_id=8290",
headers={
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "pl",
"role": "partner",
},
json={
"breadcrumbs_showed": True,
"breadcrumbs_include_on_main_page_enabled": True,
"breadcrumbs_show_on_main_page_enabled": True,
"item_template_seo_title": "[product_name] - [category_name] - [branch_name] - item title",
"item_template_seo_description": "[product_name] - [category_name] - [branch_name] - item description",
"item_template_seo_h1": "[product_name] - [category_name] - [branch_name] - item H1",
"category_template_seo_title": "[category_name] - [branch_name] - [city_name] - category title",
"category_template_seo_description": "[category_name] - [branch_name] - [city_name] - category description",
"category_template_seo_h1": "[category_name] - [branch_name] - [city_name] - category H1",
},
)
data = response.json()
Odpowiedź 200
{
"status": "success",
"data": {}
}
Żądania są wysyłane na foodsoul.ru — to jest host tego portalu, nie można wybrać innego.